Skip to main content

Add a generic event to a visit

POST 

/rest/entrypoint/branches/:branchId/visits/:visitId/events/:eventName

Add a generic event to a visit Example of usage :

curl -i -u user:password -X POST -H 'content-type:application/json' -d '{"param":"value"}' http://orchestra-ip:orchestra-port/rest/entrypoint/branches/{branchId}/visits/{visitId}/events/{eventName}

NOTE: If this call is executed against the Central REST API (/qsystem/rest/...) and the agent is offline, the event will be saved for later execution. In this case no error code will be returned.

Request​

Responses​

Success